gnutls_session_get_random(3)

NAME
gnutls_session_get_random - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_get_random(gnutls_session_t session, gnutls_datum_t * client, gnutls_datum_t * server);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_datum_t * client
    the client part of the random

gnutls_datum_t * server
    the server part of the random

DESCRIPTION
This function returns pointers to the client and server random fields used in the TLS handshake. The pointers are not to be modified or deallocated. If a client random value has not yet been established, the output will be garbage.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/